// Breakpoints

$small: 768px;
$medium: 992px;
$large: 1320px;
$x-large: 1600px;

@mixin bp($point) {
  @if $point == xs {
    @content;
  } @else if $point == xs-sm {
    @media (max-width: $small - 1px) {
      @content;
    }
  } @else if $point == xs-md {
    @media (max-width: $medium - 1px) {
      @content;
    }
  } @else if $point == xs-lg {
    @media (max-width: $large - 1px) {
      @content;
    }
  } @else if $point == sm {
    @media (min-width: $small) {
      @content;
    }
  } @else if $point == sm-md {
    @media (min-width: $small) and (max-width: $medium - 1px) {
      @content;
    }
  } @else if $point == sm-lg {
    @media (min-width: $small) and (max-width: $large - 1px) {
      @content;
    }
  } @else if $point == md {
    @media (min-width: $medium) {
      @content;
    }
  } @else if $point == md-lg {
    @media (min-width: $medium) and (max-width: $large - 1px) {
      @content;
    }
  } @else if $point == lg {
    @media (min-width: $large) {
      @content;
    }
  } @else if $point == xlg {
    @media (min-width: $x-large) {
      @content;
    }
  }
}

.sorry-to-see-you-go {
  max-width: 850px;
  margin: 20px auto;
  width: 100%;
  text-align: center;
  font-family: "Nunito sans", "Helvetica Neue", arial;
  perspective: 1500;
  -webkit-perspective: 1500;

  @include bp(md) {
    margin: 80px auto;
  }

  > img {
    margin-bottom: 20px;
  }

  .blue-box {
    width: 100%;
    background-image: linear-gradient(-225deg, #3e51ce 0%, #4372d8 100%);
    padding: 30px;
    position: relative;
    min-height: 440px;
    border-radius: 3px;
    box-sizing: border-box;

    @include bp(md) {
      min-height: 600px;
      padding: 50px;
      margin-top: 50px;
      transform: rotate3d(0.5, -0.866, 0.2, -7deg) scale(1);

      h1,
      p,
      a {
        transform: rotate3d(0.5, -0.866, 0.28, 7deg) scale(1);
      }
    }

    h1 {
      font-size: 26px;
      font-weight: 800;
      color: #fff;
      margin-bottom: 0;

      @include bp(md) {
        font-size: 60px;
      }
    }

    p {
      font-size: 20px;
      color: #fff;
      margin-bottom: 30px;
      display: block;
    }

    .btn {
      border: 2px solid #fff;
      color: #fff;
      padding: 15px 25px;
      border-radius: 4px;
      transition: 0.2s ease-out;
      text-transform: uppercase;
      font-weight: 600;
      display: inline-block;

      &:hover {
        background: #fff;
        color: #222;
      }
    }

    .illustration {
      @include bp(xs-md) {
        width: 100%;
        display: inline-block;
        margin: 0 0 -270px 0;
      }

      @include bp(md) {
        position: absolute;
        bottom: -100px;
        left: 50%;
        margin-left: -243px;
        pointer-events: none;
      }
    }
  }
}

body {
}
